package br.gov.sigefp.rh.repository;

import br.gov.sigefp.rh.domain.CareerEvent;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.UUID;

@Repository
public interface CareerEventRepository extends JpaRepository<CareerEvent, UUID> {
    List<CareerEvent> findByAgentIdOrderByEffectiveDateDesc(UUID agentId);
    List<CareerEvent> findByAgentIdOrderByEffectiveDateAsc(UUID agentId);

    void deleteByAgentId(UUID agentId);
}
